DF(1)

NAME
df - display free disk space and disk usage statistics

SYNOPSIS
df [-k] [-t FST list ] devnum | vol | file...

DESCRIPTION
displays statistics about the amount of free disk space on the specified device number devnum (.d##), on the specified volume vol or on the volume of which file is a part. More than one device number, volume, or file may be listed, and types can be mixed in the argument list.

Values are displayed in 512-byte per block block counts. If neither a file or a filesystem operand is specified, statistics for all mounted filesystems are displayed. Devices without valid media (e.g. a 3.5" disk drive with no disk in the drive) are not included in the output.

OPTIONS
The following options are available:

-k  Use 1024-byte (1-Kbyte) blocks rather than the default. Note that this overrides the BLOCKSIZE specification from the environment.

-t fst1,...,fstN
    Only print out statistics for filesystems of the specified types. More than one type may be specified in a comma separated list. The list of filesystem types can be prefixed with no to specify the filesystem types for which action should not be taken.

For example, the df command:
	df -t nohfs,msdos
lists all filesystems except those of type HFS and MS-DOS

Acceptable filesystem types are as follows:

    prodos, dos33, dos32, pascal, mfs, hfs, lisa, cpm, msdos, highsierra, iso9660, appleshare.

ENVIRONMENT VARIABLES

BLOCKSIZE
    If the environment variable BLOCKSIZE is set, the block counts will be displayed in units of that size block.

HISTORY
df for GNO/ME was originally built-in to gsh(1). The implementation of df is based on FreeBSD source code and distributed with GNO/ME v2.0.6